// JavaScript Document

$(document).ready(function(){

	/***** PAGE PRELOADER *******/

	$('body').jpreLoader({
			
			showSplash:true,
			loaderVPos: '50%',
			splashID: "#jSplash",
			splashVPos:"0%",
			autoClose:true
				
	},function(){

		initializePage();

	});

	/***** END PAGE PRELOADER *******/
	

	$(window).resize(function(event) {

	});

	/***** INTIIALIZE FUNCTION *******/

	var pageHash = window.location.hash.substring(1);
	var carouselHash = "contentCarousel";

	function initializePage(){

		if(pageHash.substring(carouselHash,15) == carouselHash){

			createContentCarousel();

		}

		createHeaderSlider();
		createTestimonials();

	}

	//createHeaderSlider();

	function createHeaderSlider(){

		$( '#mainSlider' ).sliderPro({
			autoHeight:true,
			width:'100%',
			fade:false,
			fadeArrows:false,
			autoplayDelay:8000,
			buttons:false,
			arrows:true,
			autoScaleLayers: false,
			slideDistance:0,
			autoplayOnHover:'none',
			waitForLayers:true,
			thumbnailWidth: 200,
			thumbnailHeight: 100
		});

	}

	/***** MOBILE MENU FUNCTIONALITY *******/
  $('.menuOpener').sidr({

      side: 'right',
      speed:500,
      onOpen:function(){

          $(".menuOpener").toggleClass('closer');


      },onClose:function(){

          $(".menuOpener").toggleClass('closer');

      }

  });
  /***** END MOBILE MENU FUNCTIONALITY *******/

	/***** END INTIIALIZE FUNCTION *******/

	var $container = $('.isotopeWrapper');
	$container.imagesLoaded( function() {

	  $container.isotope({

		  itemSelector : '.filterItem',
		  percentPosition: true,
		  layoutMode: 'packery'

		});

	});

	$(".isotopeWrapper .filterItem").each(function(index, el) {

		$(this).attr('data-index', index);

	});

	$(".isotopeWrapper .filterItem").click(function(event){

		$(this).addClass('open');
		window.location.hash = "contentCarousel/"+$(this).data('index');
		createContentCarousel();

	});

	function createContentCarousel(){

		$( '.contentCarousel' ).sliderPro({
			autoHeight:true,
			width:'97%',
			fade:true,
			autoplay:false,
			buttons:false,
			arrows:true,
			fadeArrows:false,
			autoScaleLayers: false,
			slideDistance:0,
			waitForLayers:true,
			fadeCaption:true,
			updateHash: true,
			init:function(){

				$('.contentCarousel').addClass('open');
				$('.contentCarousel').slideDown();

				$('html, body').stop().animate({
          scrollTop: $('.contentCarousel').offset().top-80
        }, 500);

				if($(".contentCarousel .sp-slide:first").hasClass("sp-selected")){

					$(".isotopeWrapper .filterItem").removeClass('open');
					$(".isotopeWrapper .filterItem:eq(0)").addClass('open');

				}


			},gotoSlide:function(slideObject){

				$('html, body').stop().animate({
          scrollTop: $('.contentCarousel').offset().top-80
        }, 500);

				$(".isotopeWrapper .filterItem").removeClass('open');
				$(".isotopeWrapper .filterItem:eq("+slideObject.index+")").addClass('open');

			}
		});

	}

	$('.contentCarousel .closer').click(closeContentCarousel);

	function closeContentCarousel(){

		$('.contentCarousel').removeClass('open');
		$('.contentCarousel').slideUp(function(){

			$('.contentCarousel').data( 'sliderPro' ).destroy();
			$(".isotopeWrapper .filterItem").removeClass('open');
			history.pushState('', document.title, window.location.pathname);
		});

		

	}

	function createTestimonials(){
		$( '.testimonialsCarousel' ).sliderPro({
			autoHeight:true,
			width:'97%',
			fade:true,
			autoplay:true,
			buttons:false,
			arrows:false,
			fadeArrows:false,
			autoScaleLayers: false,
			slideDistance:0,
			waitForLayers:true,
			fadeCaption:true,
			init:function(){

				$('.testimonialsCarousel').addClass('open');
				$(".testimonials li").removeClass('open');
				$(".testimonials li:first").addClass('open');
				$(".testimonials li").each(function(index, el) {

					$(this).attr('data-index', index);

				});

			},gotoSlide:function(slideObject){

				$(".testimonials li").removeClass('open');
				$(".testimonials li:eq("+slideObject.index+")").addClass('open');

			}
		});
	}

	$(".testimonials li").click(changeTestimonial);

	function changeTestimonial(){
		$('.testimonialsCarousel').sliderPro( 'gotoSlide', $(this).data("index"));
	}

	$(".contact-form").validate();


});