<?php 
$path = current_path();
$path_alias = drupal_lookup_path('alias',$path);
$theme_path = path_to_theme();
$class = "";

if($path !="home"):
  $class = "innerPage";
endif;

?>


<header class="navigation">
  <section class="centerAligner">
    <?php if ($logo): ?>
    <figure class="logo"><a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>"><img src="<?php print $logo; ?>" alt="Izone Logo" /></a></figure>
    <?php endif; ?>

    <?php if (!empty($page['menu'])):  ?>
    <nav id="mainNavigation">
      
        <ul class="nav">
          <?php print theme('links__system_main_menu', array('links' => $main_menu)); ?>
        </ul>

    </nav>
    <?php endif; ?>
  </section>
    
</header>

<!-- PAGE BANNER REGION REGION -->
<?php if (!empty($page['pageBanner'])):  ?>
  <section class="fullBanner">
    <?php print render($page['pageBanner']); ?>
  </section>
<?php endif; ?>
<!-- PAGE BANNER REGION REGION -->

<section class="centerAligner">
  
  
  <!-- PAGE INTRODUCTION -->
  <?php if (!empty($page['pageIntroduction'])):?>
    
    <section class="info">
      <?php print render($page['pageIntroduction']); ?>
    </section>
    
  <?php endif;?>
  

  <!--END PAGE INTRODUCTION  -->


  <!-- Featured Work -->
  <?php if (!empty($page['ideaContainer'])):  ?>
    <div class="isotopeWrapper">
      <?php print render($page['ideaContainer']); ?>
    </div>
  <?php endif; ?>
  <!-- Featured Work -->

  <?php if (!empty($page['content'])):
    
    print render($page['content']);

  endif;?>
  

  

</section>














<?php
if(!empty($page['preloader'])):
  print render($page['preloader']);
endif;
?>






<script src="<?php print $base_path.path_to_theme(); ?>/js/jquery.min.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/jquery.easing.min.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/modernizr.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/jquery.sliderPro.min.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/jquery.sidr.min.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/jquery.nivo.slider.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/greensock/TweenMax.min.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/jquery.superscrollorama.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/jpreloader.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/imagesloaded.pkgd.min.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/isotope.pkgd.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/packery-mode.pkgd.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/scripts.js"></script>
