<?php 
$path = current_path();
$path_alias = drupal_lookup_path('alias',$path);
$theme_path = path_to_theme();
$class = "";

if($path !="home"):
  $class = "innerPage";
endif;

?>
<header>
  <?php if (!empty($page['logo'])):  ?>
  <?php //print render($page['logo']); ?>
<?php endif; ?>

<?php if (!empty($page['menu'])):  ?>
  <section class="headerWrapper centerAligner <?php print $class; ?>">
    <?php if ($logo): ?>
    <section class="logoContainer">
      <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home">
        <img src="<?php print $logo; ?>" alt="<?php print t('Home'); ?>" />
      </a>
    </section>
  <?php endif; ?>
  <section class='mainNav'>
    <a href='#sidr' class='menuOpener'></a>
    <nav>
      <?php print theme('links__system_main_menu', array('links' => $main_menu)); ?>
    </nav>
  </section>
</section>
<?php endif; ?>

</header>

<!-- mobile menu -->
<section id="sidr">
  <nav>
    <?php print theme('links__system_main_menu', array('links' => $main_menu)); ?>
  </nav>
</section>
<!-- end mobile menu -->

<!-- slideshow -->
<?php if (!empty($page['slideshow'])):  ?>
  <div id="mainSlider" class="imageSlider">
    <?php print render($page['slideshow']); ?>
  </div>
<?php endif; ?>
<!-- slideshow -->

<?php if($path=="corporate"):?>
  <section class="centerAligner">
    <section class="menuContainer"></section>
    <?php  
    $corporate_menu_tree = menu_tree_all_data('menu-corporate-page'); 
    corporate_menu($corporate_menu_tree);
    ?>
    <section class="isotopeWrapper two_third aboutIsotope">
    <?php endif; ?>

    <?php if (!empty($page['content'])):
    if($path=="contact"):?>
      <section class="centerAligner">
    <?php
    endif;
    print render($page['content']);
    if($path=="contact"):?>
      </section>
    <?php
    endif;
    endif;
    ?>
    <!-- slideshow -->
    <?php if (!empty($page['contactRegion'])):  ?>
      <section class="fullContact">
      <?php print render($page['contactRegion']); ?>
      </section>
    <?php endif; ?>
    <!-- slideshow -->

    <?php if($path=="corporate"):?>
  </section>
</section>
<?php endif; ?>


<?php
if(!empty($page['preloader'])):
  print render($page['preloader']);
endif;
?>

<?php //if (!empty($page['footer'])): ?>
 <footer>

   <section class="footerWrapper centerAligner">
     <section class="linksContainer">

      <?php if ($logo): ?>
      <section class="logoContainer">
        <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home">
          <img src="<?php print $logo; ?>" alt="<?php print t('Home'); ?>" />
        </a>
      </section>
    <?php endif; ?>
    <nav>
      <?php print theme('links__system_main_menu', array('links' => $main_menu)); ?>
    </nav>
    <?php
    if(!empty($page['footer'])):
      print render($page['footer']);
    endif;
    ?>
  </section>
</section>

<?php if (!empty($page['copyright'])): ?>
 <section class="copyright">
  <section class="centerAligner">
    <?php print render($page['copyright']); ?>
  </section>
</section>
<?php endif; ?>

</footer>
<?php
  //endif; 
?>

<script src="<?php print $base_path.path_to_theme(); ?>/js/browserselector.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/jquery-1.9.1.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/jquery.validate.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/jpreloader.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/imagesloaded.pkgd.min.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/isotope.pkgd.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/jquery.sliderPro.min.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/jquery.sidr.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/packery-mode.pkgd.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/owl.carousel.js"></script>
<script src="<?php print $base_path.path_to_theme(); ?>/js/functions.js"></script>